Package org.drinkless.tdlib

# Class TdApi.Thumbnail

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Thumbnail

Enclosing class:
  `TdApi`

public static class TdApi.Thumbnail extends TdApi.Object
Represents a thumbnail.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.File`
  `file`
  The thumbnail.
  `TdApi.ThumbnailFormat`
  `format`
  Thumbnail format.
  `int`
  `height`
  Thumbnail height.
  `int`
  `width`
  Thumbnail width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Thumbnail()`
  Represents a thumbnail.
  `Thumbnail(TdApi.ThumbnailFormat format, int width, int height, TdApi.File file)`
  Represents a thumbnail.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### format

    public TdApi.ThumbnailFormat format
    Thumbnail format.

  - ### width

    public int width
    Thumbnail width.

  - ### height

    public int height
    Thumbnail height.

  - ### file

    public TdApi.File file
    The thumbnail.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Thumbnail

    public Thumbnail()
    Represents a thumbnail.

  - ### Thumbnail

    public Thumbnail(TdApi.ThumbnailFormat format, int width, int height, TdApi.File file)
    Represents a thumbnail.
    Parameters:
      `format` - Thumbnail format.
      `width` - Thumbnail width.
      `height` - Thumbnail height.
      `file` - The thumbnail.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR